Page MenuHomePhabricator

All sorts of random drifts in wikis in s3
Closed, ResolvedPublic

Description

After checking 1/3rd of s3 (so far, it'll finish in two days). The script found these drifts that are limited to only small number of s3 wikis (out of 300 it checked so far):

{
	"archive ar_revid index-mismatch-prod-extra": [
		"db1123:aawikibooks",
		"db1078:aawikibooks",
		"db1075:aawikibooks",
		"db1112:aawikibooks",
		"db1123:wawikibooks",
		"db1078:wawikibooks",
		"db1075:wawikibooks",
		"db1112:wawikibooks",
		"db1123:nostalgiawiki",
		"db1078:nostalgiawiki",
		"db1075:nostalgiawiki",
		"db1112:nostalgiawiki"
	],
	"archive ar_revid_uniq index-mismatch-code-extra": [
		"db1123:aawikibooks",
		"db1078:aawikibooks",
		"db1075:aawikibooks",
		"db1112:aawikibooks",
		"db1123:wawikibooks",
		"db1078:wawikibooks",
		"db1075:wawikibooks",
		"db1112:wawikibooks",
		"db1123:nostalgiawiki",
		"db1078:nostalgiawiki",
		"db1075:nostalgiawiki",
		"db1112:nostalgiawiki"
	],
	"image img_minor_mime index-mismatch-prod-extra": [
		"db1123:warwiki",
		"db1078:warwiki",
		"db1075:warwiki",
		"db1112:warwiki",
		"db1123:napwiki",
		"db1078:napwiki",
		"db1075:napwiki",
		"db1112:napwiki",
		"db1123:ilowiki",
		"db1078:ilowiki",
		"db1075:ilowiki",
		"db1112:ilowiki"
	],
	"ipblocks ipb_parent_block_id_2 index-mismatch-prod-extra": [
		"db1123:votewiki",
		"db1078:votewiki",
		"db1075:votewiki",
		"db1112:votewiki",
		"db1123:rowikivoyage",
		"db1078:rowikivoyage",
		"db1075:rowikivoyage",
		"db1112:rowikivoyage",
		"db1123:ptwikivoyage",
		"db1078:ptwikivoyage",
		"db1075:ptwikivoyage",
		"db1112:ptwikivoyage",
		"db1123:vecwiktionary",
		"db1078:vecwiktionary",
		"db1075:vecwiktionary",
		"db1112:vecwiktionary",
		"db1123:test2wiki",
		"db1078:test2wiki",
		"db1075:test2wiki",
		"db1112:test2wiki",
		"db1123:testwikidatawiki",
		"db1078:testwikidatawiki",
		"db1075:testwikidatawiki",
		"db1112:testwikidatawiki",
		"db1123:nlwikivoyage",
		"db1078:nlwikivoyage",
		"db1075:nlwikivoyage",
		"db1112:nlwikivoyage",
		"db1123:wikimania2014wiki",
		"db1078:wikimania2014wiki",
		"db1075:wikimania2014wiki",
		"db1112:wikimania2014wiki",
		"db1123:mediawikiwiki",
		"db1078:mediawikiwiki",
		"db1075:mediawikiwiki",
		"db1112:mediawikiwiki",
		"db1123:ruwikivoyage",
		"db1078:ruwikivoyage",
		"db1075:ruwikivoyage",
		"db1112:ruwikivoyage"
	],
	"logging type_action index-mismatch-prod-extra": [
		"db1123:inhwiki",
		"db1078:inhwiki",
		"db1075:inhwiki",
		"db1112:inhwiki",
		"db1123:votewiki",
		"db1078:votewiki",
		"db1075:votewiki",
		"db1112:votewiki",
		"db1123:rowikivoyage",
		"db1078:rowikivoyage",
		"db1075:rowikivoyage",
		"db1112:rowikivoyage",
		"db1123:arbcom_cswiki",
		"db1078:arbcom_cswiki",
		"db1075:arbcom_cswiki",
		"db1112:arbcom_cswiki",
		"db1123:azbwiki",
		"db1078:azbwiki",
		"db1075:azbwiki",
		"db1112:azbwiki",
		"db1123:electcomwiki",
		"db1078:electcomwiki",
		"db1075:electcomwiki",
		"db1112:electcomwiki",
		"db1123:ptwikivoyage",
		"db1078:ptwikivoyage",
		"db1075:ptwikivoyage",
		"db1112:ptwikivoyage",
		"db1123:projectcomwiki",
		"db1078:projectcomwiki",
		"db1075:projectcomwiki",
		"db1112:projectcomwiki",
		"db1123:hiwikimedia",
		"db1078:hiwikimedia",
		"db1075:hiwikimedia",
		"db1112:hiwikimedia",
		"db1123:vecwiktionary",
		"db1078:vecwiktionary",
		"db1075:vecwiktionary",
		"db1112:vecwiktionary",
		"db1123:testwikidatawiki",
		"db1078:testwikidatawiki",
		"db1075:testwikidatawiki",
		"db1112:testwikidatawiki",
		"db1123:hiwikivoyage",
		"db1078:hiwikivoyage",
		"db1075:hiwikivoyage",
		"db1112:hiwikivoyage",
		"db1123:nlwikivoyage",
		"db1078:nlwikivoyage",
		"db1075:nlwikivoyage",
		"db1112:nlwikivoyage",
		"db1123:legalteamwiki",
		"db1078:legalteamwiki",
		"db1075:legalteamwiki",
		"db1112:legalteamwiki",
		"db1123:jamwiki",
		"db1078:jamwiki",
		"db1075:jamwiki",
		"db1112:jamwiki",
		"db1123:wikimania2014wiki",
		"db1078:wikimania2014wiki",
		"db1075:wikimania2014wiki",
		"db1112:wikimania2014wiki",
		"db1123:sahwikiquote",
		"db1078:sahwikiquote",
		"db1075:sahwikiquote",
		"db1112:sahwikiquote",
		"db1123:guwikisource",
		"db1078:guwikisource",
		"db1075:guwikisource",
		"db1112:guwikisource",
		"db1123:slwikiversity",
		"db1078:slwikiversity",
		"db1075:slwikiversity",
		"db1112:slwikiversity",
		"db1123:maiwiki",
		"db1078:maiwiki",
		"db1075:maiwiki",
		"db1112:maiwiki",
		"db1123:olowiki",
		"db1078:olowiki",
		"db1075:olowiki",
		"db1112:olowiki",
		"db1123:ptwikimedia",
		"db1078:ptwikimedia",
		"db1075:ptwikimedia",
		"db1112:ptwikimedia",
		"db1123:techconductwiki",
		"db1078:techconductwiki",
		"db1075:techconductwiki",
		"db1112:techconductwiki",
		"db1123:pawikisource",
		"db1078:pawikisource",
		"db1075:pawikisource",
		"db1112:pawikisource",
		"db1123:ecwikimedia",
		"db1078:ecwikimedia",
		"db1075:ecwikimedia",
		"db1112:ecwikimedia",
		"db1123:maiwikimedia",
		"db1078:maiwikimedia",
		"db1075:maiwikimedia",
		"db1112:maiwikimedia",
		"db1123:pswikivoyage",
		"db1078:pswikivoyage",
		"db1075:pswikivoyage",
		"db1112:pswikivoyage",
		"db1123:gorwiki",
		"db1078:gorwiki",
		"db1075:gorwiki",
		"db1112:gorwiki",
		"db1123:ruwikivoyage",
		"db1078:ruwikivoyage",
		"db1075:ruwikivoyage",
		"db1112:ruwikivoyage"
	],
	"querycache_info qci_type index-mismatch-prod-extra": [
		"db1123:bdwikimedia",
		"db1078:bdwikimedia",
		"db1075:bdwikimedia",
		"db1112:bdwikimedia"
	],
	"user user_id index-mismatch-prod-extra": [
		"db1123:cywikiquote",
		"db1078:cywikiquote",
		"db1075:cywikiquote",
		"db1112:cywikiquote",
		"db1123:dewikiquote",
		"db1078:dewikiquote",
		"db1075:dewikiquote",
		"db1112:dewikiquote"
	]
}
{
	"archive ar_revid index-mismatch-prod-extra": [
		"db1123:aawikibooks",
		"db1078:aawikibooks",
		"db1075:aawikibooks",
		"db1112:aawikibooks",
		"db1123:wawikibooks",
		"db1078:wawikibooks",
		"db1075:wawikibooks",
		"db1112:wawikibooks",
		"db1123:nostalgiawiki",
		"db1078:nostalgiawiki",
		"db1075:nostalgiawiki",
		"db1112:nostalgiawiki",
		"db1123:wikimania2005wiki",
		"db1078:wikimania2005wiki",
		"db1075:wikimania2005wiki",
		"db1112:wikimania2005wiki",
		"db1123:lvwikibooks",
		"db1078:lvwikibooks",
		"db1075:lvwikibooks",
		"db1112:lvwikibooks",
		"db1123:kswikiquote",
		"db1078:kswikiquote",
		"db1075:kswikiquote",
		"db1112:kswikiquote",
		"db1123:gotwikibooks",
		"db1078:gotwikibooks",
		"db1075:gotwikibooks",
		"db1112:gotwikibooks"
	],
	"archive ar_revid_uniq index-mismatch-code-extra": [
		"db1123:aawikibooks",
		"db1078:aawikibooks",
		"db1075:aawikibooks",
		"db1112:aawikibooks",
		"db1123:wawikibooks",
		"db1078:wawikibooks",
		"db1075:wawikibooks",
		"db1112:wawikibooks",
		"db1123:nostalgiawiki",
		"db1078:nostalgiawiki",
		"db1075:nostalgiawiki",
		"db1112:nostalgiawiki",
		"db1123:wikimania2005wiki",
		"db1078:wikimania2005wiki",
		"db1075:wikimania2005wiki",
		"db1112:wikimania2005wiki",
		"db1123:lvwikibooks",
		"db1078:lvwikibooks",
		"db1075:lvwikibooks",
		"db1112:lvwikibooks",
		"db1123:kswikiquote",
		"db1078:kswikiquote",
		"db1075:kswikiquote",
		"db1112:kswikiquote",
		"db1123:gotwikibooks",
		"db1078:gotwikibooks",
		"db1075:gotwikibooks",
		"db1112:gotwikibooks"
	],
	"archive ar_user field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"archive ar_user_text field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"archive usertext_timestamp index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"filearchive fa_deleted_reason field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"filearchive fa_description field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"filearchive fa_user field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"filearchive fa_user_text field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"filearchive fa_user_timestamp index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"image img_description field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"image img_major_mime index-mismatch-prod-extra": [
		"db1123:warwiki",
		"db1078:warwiki",
		"db1075:warwiki",
		"db1112:warwiki",
		"db1123:napwiki",
		"db1078:napwiki",
		"db1075:napwiki",
		"db1112:napwiki",
		"db1123:ilowiki",
		"db1078:ilowiki",
		"db1075:ilowiki",
		"db1112:ilowiki",
		"db1123:ladwiki",
		"db1078:ladwiki",
		"db1075:ladwiki",
		"db1112:ladwiki"
	],
	"image img_media_mime index-mismatch-code-extra": [
		"db1123:transitionteamwiki",
		"db1078:transitionteamwiki",
		"db1075:transitionteamwiki",
		"db1112:transitionteamwiki"
	],
	"image img_minor_mime index-mismatch-prod-extra": [
		"db1123:warwiki",
		"db1078:warwiki",
		"db1075:warwiki",
		"db1112:warwiki",
		"db1123:napwiki",
		"db1078:napwiki",
		"db1075:napwiki",
		"db1112:napwiki",
		"db1123:ilowiki",
		"db1078:ilowiki",
		"db1075:ilowiki",
		"db1112:ilowiki",
		"db1123:ladwiki",
		"db1078:ladwiki",
		"db1075:ladwiki",
		"db1112:ladwiki"
	],
	"image img_user field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"image img_user_text field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"image img_user_timestamp index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"image img_usertext_timestamp index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"ipblocks ipb_address index-mismatch-prod-extra": [
		"db1123:etwikimedia",
		"db1078:etwikimedia",
		"db1075:etwikimedia",
		"db1112:etwikimedia"
	],
	"ipblocks ipb_address_unique index-columns-mismatch": [
		"db1123:awawiki",
		"db1078:awawiki",
		"db1075:awawiki",
		"db1112:awawiki",
		"db1123:gomwiktionary",
		"db1078:gomwiktionary",
		"db1075:gomwiktionary",
		"db1112:gomwiktionary"
	],
	"ipblocks ipb_by field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"ipblocks ipb_by_text field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"ipblocks ipb_parent_block_id_2 index-mismatch-prod-extra": [
		"db1123:votewiki",
		"db1078:votewiki",
		"db1075:votewiki",
		"db1112:votewiki",
		"db1123:rowikivoyage",
		"db1078:rowikivoyage",
		"db1075:rowikivoyage",
		"db1112:rowikivoyage",
		"db1123:ptwikivoyage",
		"db1078:ptwikivoyage",
		"db1075:ptwikivoyage",
		"db1112:ptwikivoyage",
		"db1123:vecwiktionary",
		"db1078:vecwiktionary",
		"db1075:vecwiktionary",
		"db1112:vecwiktionary",
		"db1123:test2wiki",
		"db1078:test2wiki",
		"db1075:test2wiki",
		"db1112:test2wiki",
		"db1123:testwikidatawiki",
		"db1078:testwikidatawiki",
		"db1075:testwikidatawiki",
		"db1112:testwikidatawiki",
		"db1123:nlwikivoyage",
		"db1078:nlwikivoyage",
		"db1075:nlwikivoyage",
		"db1112:nlwikivoyage",
		"db1123:wikimania2014wiki",
		"db1078:wikimania2014wiki",
		"db1075:wikimania2014wiki",
		"db1112:wikimania2014wiki",
		"db1123:mediawikiwiki",
		"db1078:mediawikiwiki",
		"db1075:mediawikiwiki",
		"db1112:mediawikiwiki",
		"db1123:ruwikivoyage",
		"db1078:ruwikivoyage",
		"db1075:ruwikivoyage",
		"db1112:ruwikivoyage",
		"db1123:ukwikivoyage",
		"db1078:ukwikivoyage",
		"db1075:ukwikivoyage",
		"db1112:ukwikivoyage",
		"db1123:elwikivoyage",
		"db1078:elwikivoyage",
		"db1075:elwikivoyage",
		"db1112:elwikivoyage",
		"db1123:kowikiversity",
		"db1078:kowikiversity",
		"db1075:kowikiversity",
		"db1112:kowikiversity",
		"db1123:transitionteamwiki",
		"db1078:transitionteamwiki",
		"db1075:transitionteamwiki",
		"db1112:transitionteamwiki",
		"db1123:sawikiquote",
		"db1078:sawikiquote",
		"db1075:sawikiquote",
		"db1112:sawikiquote",
		"db1123:testwiki",
		"db1078:testwiki",
		"db1075:testwiki",
		"db1112:testwiki",
		"db1123:frwikivoyage",
		"db1078:frwikivoyage",
		"db1075:frwikivoyage",
		"db1112:frwikivoyage",
		"db1123:tyvwiki",
		"db1078:tyvwiki",
		"db1075:tyvwiki",
		"db1112:tyvwiki",
		"db1123:loginwiki",
		"db1078:loginwiki",
		"db1075:loginwiki",
		"db1112:loginwiki",
		"db1123:ombudsmenwiki",
		"db1078:ombudsmenwiki",
		"db1075:ombudsmenwiki",
		"db1112:ombudsmenwiki",
		"db1123:minwiki",
		"db1078:minwiki",
		"db1075:minwiki",
		"db1112:minwiki",
		"db1123:hewikivoyage",
		"db1078:hewikivoyage",
		"db1075:hewikivoyage",
		"db1112:hewikivoyage",
		"db1123:eswikivoyage",
		"db1078:eswikivoyage",
		"db1075:eswikivoyage",
		"db1112:eswikivoyage",
		"db1123:viwikivoyage",
		"db1078:viwikivoyage",
		"db1075:viwikivoyage",
		"db1112:viwikivoyage",
		"db1123:dewikivoyage",
		"db1078:dewikivoyage",
		"db1075:dewikivoyage",
		"db1112:dewikivoyage",
		"db1123:fdcwiki",
		"db1078:fdcwiki",
		"db1075:fdcwiki",
		"db1112:fdcwiki",
		"db1123:iegcomwiki",
		"db1078:iegcomwiki",
		"db1075:iegcomwiki",
		"db1112:iegcomwiki",
		"db1123:plwikivoyage",
		"db1078:plwikivoyage",
		"db1075:plwikivoyage",
		"db1112:plwikivoyage",
		"db1123:itwikivoyage",
		"db1078:itwikivoyage",
		"db1075:itwikivoyage",
		"db1112:itwikivoyage",
		"db1123:aswikisource",
		"db1078:aswikisource",
		"db1075:aswikisource",
		"db1112:aswikisource",
		"db1123:svwikivoyage",
		"db1078:svwikivoyage",
		"db1075:svwikivoyage",
		"db1112:svwikivoyage"
	],
	"ipblocks ipb_reason field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"job job_cmd index-columns-mismatch": [
		"db1123:dewikivoyage",
		"db1078:dewikivoyage",
		"db1075:dewikivoyage",
		"db1112:dewikivoyage",
		"db1123:itwikivoyage",
		"db1078:itwikivoyage",
		"db1075:itwikivoyage",
		"db1112:itwikivoyage"
	],
	"logging log_comment field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"logging log_user field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"logging log_user_text field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"logging log_user_text_time index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"logging log_user_text_type_time index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"logging log_user_type_time index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"logging type_action index-mismatch-prod-extra": [
		"db1123:inhwiki",
		"db1078:inhwiki",
		"db1075:inhwiki",
		"db1112:inhwiki",
		"db1123:votewiki",
		"db1078:votewiki",
		"db1075:votewiki",
		"db1112:votewiki",
		"db1123:rowikivoyage",
		"db1078:rowikivoyage",
		"db1075:rowikivoyage",
		"db1112:rowikivoyage",
		"db1123:arbcom_cswiki",
		"db1078:arbcom_cswiki",
		"db1075:arbcom_cswiki",
		"db1112:arbcom_cswiki",
		"db1123:azbwiki",
		"db1078:azbwiki",
		"db1075:azbwiki",
		"db1112:azbwiki",
		"db1123:electcomwiki",
		"db1078:electcomwiki",
		"db1075:electcomwiki",
		"db1112:electcomwiki",
		"db1123:ptwikivoyage",
		"db1078:ptwikivoyage",
		"db1075:ptwikivoyage",
		"db1112:ptwikivoyage",
		"db1123:projectcomwiki",
		"db1078:projectcomwiki",
		"db1075:projectcomwiki",
		"db1112:projectcomwiki",
		"db1123:hiwikimedia",
		"db1078:hiwikimedia",
		"db1075:hiwikimedia",
		"db1112:hiwikimedia",
		"db1123:vecwiktionary",
		"db1078:vecwiktionary",
		"db1075:vecwiktionary",
		"db1112:vecwiktionary",
		"db1123:testwikidatawiki",
		"db1078:testwikidatawiki",
		"db1075:testwikidatawiki",
		"db1112:testwikidatawiki",
		"db1123:hiwikivoyage",
		"db1078:hiwikivoyage",
		"db1075:hiwikivoyage",
		"db1112:hiwikivoyage",
		"db1123:nlwikivoyage",
		"db1078:nlwikivoyage",
		"db1075:nlwikivoyage",
		"db1112:nlwikivoyage",
		"db1123:legalteamwiki",
		"db1078:legalteamwiki",
		"db1075:legalteamwiki",
		"db1112:legalteamwiki",
		"db1123:jamwiki",
		"db1078:jamwiki",
		"db1075:jamwiki",
		"db1112:jamwiki",
		"db1123:wikimania2014wiki",
		"db1078:wikimania2014wiki",
		"db1075:wikimania2014wiki",
		"db1112:wikimania2014wiki",
		"db1123:sahwikiquote",
		"db1078:sahwikiquote",
		"db1075:sahwikiquote",
		"db1112:sahwikiquote",
		"db1123:guwikisource",
		"db1078:guwikisource",
		"db1075:guwikisource",
		"db1112:guwikisource",
		"db1123:slwikiversity",
		"db1078:slwikiversity",
		"db1075:slwikiversity",
		"db1112:slwikiversity",
		"db1123:maiwiki",
		"db1078:maiwiki",
		"db1075:maiwiki",
		"db1112:maiwiki",
		"db1123:olowiki",
		"db1078:olowiki",
		"db1075:olowiki",
		"db1112:olowiki",
		"db1123:ptwikimedia",
		"db1078:ptwikimedia",
		"db1075:ptwikimedia",
		"db1112:ptwikimedia",
		"db1123:techconductwiki",
		"db1078:techconductwiki",
		"db1075:techconductwiki",
		"db1112:techconductwiki",
		"db1123:pawikisource",
		"db1078:pawikisource",
		"db1075:pawikisource",
		"db1112:pawikisource",
		"db1123:ecwikimedia",
		"db1078:ecwikimedia",
		"db1075:ecwikimedia",
		"db1112:ecwikimedia",
		"db1123:maiwikimedia",
		"db1078:maiwikimedia",
		"db1075:maiwikimedia",
		"db1112:maiwikimedia",
		"db1123:pswikivoyage",
		"db1078:pswikivoyage",
		"db1075:pswikivoyage",
		"db1112:pswikivoyage",
		"db1123:gorwiki",
		"db1078:gorwiki",
		"db1075:gorwiki",
		"db1112:gorwiki",
		"db1123:ruwikivoyage",
		"db1078:ruwikivoyage",
		"db1075:ruwikivoyage",
		"db1112:ruwikivoyage",
		"db1123:ukwikivoyage",
		"db1078:ukwikivoyage",
		"db1075:ukwikivoyage",
		"db1112:ukwikivoyage",
		"db1123:wikimania2016wiki",
		"db1078:wikimania2016wiki",
		"db1075:wikimania2016wiki",
		"db1112:wikimania2016wiki",
		"db1123:elwikivoyage",
		"db1078:elwikivoyage",
		"db1075:elwikivoyage",
		"db1112:elwikivoyage",
		"db1123:romdwikimedia",
		"db1078:romdwikimedia",
		"db1075:romdwikimedia",
		"db1112:romdwikimedia",
		"db1123:tcywiki",
		"db1078:tcywiki",
		"db1075:tcywiki",
		"db1112:tcywiki",
		"db1123:euwikisource",
		"db1078:euwikisource",
		"db1075:euwikisource",
		"db1112:euwikisource",
		"db1123:kowikiversity",
		"db1078:kowikiversity",
		"db1075:kowikiversity",
		"db1112:kowikiversity",
		"db1123:wikimania2015wiki",
		"db1078:wikimania2015wiki",
		"db1075:wikimania2015wiki",
		"db1112:wikimania2015wiki",
		"db1123:transitionteamwiki",
		"db1078:transitionteamwiki",
		"db1075:transitionteamwiki",
		"db1112:transitionteamwiki",
		"db1123:advisorswiki",
		"db1078:advisorswiki",
		"db1075:advisorswiki",
		"db1112:advisorswiki",
		"db1123:sawikiquote",
		"db1078:sawikiquote",
		"db1075:sawikiquote",
		"db1112:sawikiquote",
		"db1123:zhwikivoyage",
		"db1078:zhwikivoyage",
		"db1075:zhwikivoyage",
		"db1112:zhwikivoyage",
		"db1123:hifwiktionary",
		"db1078:hifwiktionary",
		"db1075:hifwiktionary",
		"db1112:hifwiktionary",
		"db1123:frwikivoyage",
		"db1078:frwikivoyage",
		"db1075:frwikivoyage",
		"db1112:frwikivoyage",
		"db1123:adywiki",
		"db1078:adywiki",
		"db1075:adywiki",
		"db1112:adywiki",
		"db1123:wikimania2018wiki",
		"db1078:wikimania2018wiki",
		"db1075:wikimania2018wiki",
		"db1112:wikimania2018wiki",
		"db1123:dinwiki",
		"db1078:dinwiki",
		"db1075:dinwiki",
		"db1112:dinwiki",
		"db1123:gomwiki",
		"db1078:gomwiki",
		"db1075:gomwiki",
		"db1112:gomwiki",
		"db1123:tyvwiki",
		"db1078:tyvwiki",
		"db1075:tyvwiki",
		"db1112:tyvwiki",
		"db1123:loginwiki",
		"db1078:loginwiki",
		"db1075:loginwiki",
		"db1112:loginwiki",
		"db1123:ombudsmenwiki",
		"db1078:ombudsmenwiki",
		"db1075:ombudsmenwiki",
		"db1112:ombudsmenwiki",
		"db1123:minwiki",
		"db1078:minwiki",
		"db1075:minwiki",
		"db1112:minwiki",
		"db1123:wikimania2017wiki",
		"db1078:wikimania2017wiki",
		"db1075:wikimania2017wiki",
		"db1112:wikimania2017wiki",
		"db1123:hewikivoyage",
		"db1078:hewikivoyage",
		"db1075:hewikivoyage",
		"db1112:hewikivoyage",
		"db1123:eswikivoyage",
		"db1078:eswikivoyage",
		"db1075:eswikivoyage",
		"db1112:eswikivoyage",
		"db1123:viwikivoyage",
		"db1078:viwikivoyage",
		"db1075:viwikivoyage",
		"db1112:viwikivoyage",
		"db1123:fawikivoyage",
		"db1078:fawikivoyage",
		"db1075:fawikivoyage",
		"db1112:fawikivoyage",
		"db1123:dewikivoyage",
		"db1078:dewikivoyage",
		"db1075:dewikivoyage",
		"db1112:dewikivoyage",
		"db1123:cnwikimedia",
		"db1078:cnwikimedia",
		"db1075:cnwikimedia",
		"db1112:cnwikimedia",
		"db1123:pmswikisource",
		"db1078:pmswikisource",
		"db1075:pmswikisource",
		"db1112:pmswikisource",
		"db1123:fdcwiki",
		"db1078:fdcwiki",
		"db1075:fdcwiki",
		"db1112:fdcwiki",
		"db1123:iegcomwiki",
		"db1078:iegcomwiki",
		"db1075:iegcomwiki",
		"db1112:iegcomwiki",
		"db1123:fiwikivoyage",
		"db1078:fiwikivoyage",
		"db1075:fiwikivoyage",
		"db1112:fiwikivoyage",
		"db1123:lrcwiki",
		"db1078:lrcwiki",
		"db1075:lrcwiki",
		"db1112:lrcwiki",
		"db1123:lezwiki",
		"db1078:lezwiki",
		"db1075:lezwiki",
		"db1112:lezwiki",
		"db1123:amwikimedia",
		"db1078:amwikimedia",
		"db1075:amwikimedia",
		"db1112:amwikimedia",
		"db1123:idwikimedia",
		"db1078:idwikimedia",
		"db1075:idwikimedia",
		"db1112:idwikimedia",
		"db1123:dtywiki",
		"db1078:dtywiki",
		"db1075:dtywiki",
		"db1112:dtywiki",
		"db1123:plwikivoyage",
		"db1078:plwikivoyage",
		"db1075:plwikivoyage",
		"db1112:plwikivoyage",
		"db1123:wikimania2013wiki",
		"db1078:wikimania2013wiki",
		"db1075:wikimania2013wiki",
		"db1112:wikimania2013wiki",
		"db1123:bnwikivoyage",
		"db1078:bnwikivoyage",
		"db1075:bnwikivoyage",
		"db1112:bnwikivoyage",
		"db1123:cawikimedia",
		"db1078:cawikimedia",
		"db1075:cawikimedia",
		"db1112:cawikimedia",
		"db1123:hiwikiversity",
		"db1078:hiwikiversity",
		"db1075:hiwikiversity",
		"db1112:hiwikiversity",
		"db1123:itwikivoyage",
		"db1078:itwikivoyage",
		"db1075:itwikivoyage",
		"db1112:itwikivoyage",
		"db1123:aswikisource",
		"db1078:aswikisource",
		"db1075:aswikisource",
		"db1112:aswikisource",
		"db1123:lfnwiki",
		"db1078:lfnwiki",
		"db1075:lfnwiki",
		"db1112:lfnwiki",
		"db1123:svwikivoyage",
		"db1078:svwikivoyage",
		"db1075:svwikivoyage",
		"db1112:svwikivoyage",
		"db1123:kbpwiki",
		"db1078:kbpwiki",
		"db1075:kbpwiki",
		"db1112:kbpwiki",
		"db1123:bewikisource",
		"db1078:bewikisource",
		"db1075:bewikisource",
		"db1112:bewikisource",
		"db1123:orwikisource",
		"db1078:orwikisource",
		"db1075:orwikisource",
		"db1112:orwikisource",
		"db1123:wbwikimedia",
		"db1078:wbwikimedia",
		"db1075:wbwikimedia",
		"db1112:wbwikimedia",
		"db1123:atjwiki",
		"db1078:atjwiki",
		"db1075:atjwiki",
		"db1112:atjwiki"
	],
	"logging user_time index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"oldimage oi_description field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"oldimage oi_user field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"oldimage oi_user_text field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"oldimage oi_usertext_timestamp index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"page ext_namespace_quality index-mismatch-prod-extra": [
		"db1123:testwiki",
		"db1078:testwiki",
		"db1075:testwiki",
		"db1112:testwiki"
	],
	"page ext_namespace_reviewed index-mismatch-prod-extra": [
		"db1123:testwiki",
		"db1078:testwiki",
		"db1075:testwiki",
		"db1112:testwiki"
	],
	"page page_ext_quality field-mismatch-prod-extra": [
		"db1123:testwiki",
		"db1078:testwiki",
		"db1075:testwiki",
		"db1112:testwiki"
	],
	"page page_ext_reviewed field-mismatch-prod-extra": [
		"db1123:testwiki",
		"db1078:testwiki",
		"db1075:testwiki",
		"db1112:testwiki"
	],
	"page page_ext_stable field-mismatch-prod-extra": [
		"db1123:testwiki",
		"db1078:testwiki",
		"db1075:testwiki",
		"db1112:testwiki"
	],
	"page_props pp_propname_page index-mismatch-code-extra": [
		"db1123:ombudsmenwiki",
		"db1078:ombudsmenwiki",
		"db1075:ombudsmenwiki",
		"db1112:ombudsmenwiki"
	],
	"protected_titles pt_reason field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"querycache_info qci_type index-mismatch-prod-extra": [
		"db1123:bdwikimedia",
		"db1078:bdwikimedia",
		"db1075:bdwikimedia",
		"db1112:bdwikimedia"
	],
	"recentchanges rc_comment field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"recentchanges rc_name_type_patrolled_timestamp index-mismatch-code-extra": [
		"db1123:tcywiki",
		"db1078:tcywiki",
		"db1075:tcywiki",
		"db1112:tcywiki"
	],
	"recentchanges rc_ns_usertext index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"recentchanges rc_patrolling index-mismatch-prod-extra": [
		"db1123:qualitywiki",
		"db1078:qualitywiki",
		"db1075:qualitywiki",
		"db1112:qualitywiki"
	],
	"recentchanges rc_this_oldid index-mismatch-code-extra": [
		"db1075:mlwikisource"
	],
	"recentchanges rc_user field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"recentchanges rc_user_text field-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"recentchanges rc_user_text index-mismatch-prod-extra": [
		"db1123:ruwikiquote"
	],
	"revision rev_actor_timestamp index-columns-mismatch": [
		"db1123:gomwiktionary",
		"db1078:gomwiktionary",
		"db1075:gomwiktionary",
		"db1112:gomwiktionary"
	],
	"user user_id index-mismatch-prod-extra": [
		"db1123:cywikiquote",
		"db1078:cywikiquote",
		"db1075:cywikiquote",
		"db1112:cywikiquote",
		"db1123:dewikiquote",
		"db1078:dewikiquote",
		"db1075:dewikiquote",
		"db1112:dewikiquote",
		"db1123:kkwikiquote",
		"db1078:kkwikiquote",
		"db1075:kkwikiquote",
		"db1112:kkwikiquote",
		"db1123:aawiki",
		"db1078:aawiki",
		"db1075:aawiki",
		"db1112:aawiki",
		"db1123:cowikibooks",
		"db1078:cowikibooks",
		"db1075:cowikibooks",
		"db1112:cowikibooks",
		"db1123:kywikiquote",
		"db1078:kywikiquote",
		"db1075:kywikiquote",
		"db1112:kywikiquote",
		"db1123:sdwiki",
		"db1078:sdwiki",
		"db1075:sdwiki",
		"db1112:sdwiki",
		"db1123:rowikibooks",
		"db1078:rowikibooks",
		"db1075:rowikibooks",
		"db1112:rowikibooks"
	]
}
{
    "change_tag change_tag_log_tag_nonuniq index-mismatch-prod-extra": {
        "s3": [
            "db1123:advisorswiki",
            "db1078:advisorswiki",
            "db1075:advisorswiki"
        ]
    },
"change_tag change_tag_rc_tag_nonuniq index-mismatch-prod-extra": {
    "s3": [
        "db1123:advisorswiki",
        "db1078:advisorswiki",
        "db1075:advisorswiki"
    ]
},
"change_tag change_tag_rev_tag_nonuniq index-mismatch-prod-extra": {
    "s3": [
        "db1123:advisorswiki",
        "db1078:advisorswiki",
        "db1075:advisorswiki"
    ]
},
"change_tag change_tag_tag_id index-mismatch-prod-extra": {
    "s3": [
        "db1123:advisorswiki",
        "db1078:advisorswiki",
        "db1075:advisorswiki"
    ]
},
"change_tag ct_tag field-mismatch-prod-extra": {
    "s3": [
        "db1123:advisorswiki",
        "db1078:advisorswiki",
        "db1075:advisorswiki"
    ]
},
"module_deps md_module_skin index-mismatch-prod-extra": {
    "s3": [
        "db1123:bdwikimedia",
        "db1078:bdwikimedia",
        "db1112:bdwikimedia",
        "db1075:bdwikimedia"
    ]
},
"site_stats ss_row_id index-mismatch-prod-extra": {
    "s3": [
        "db1123:bdwikimedia",
        "db1078:bdwikimedia",
        "db1112:bdwikimedia",
        "db1075:bdwikimedia"
    ]
},
"updatelog ul_value field-mismatch-codebase-extra": {
    "s3": [
        "db1123:test2wiki",
        "db1078:test2wiki",
        "db1112:test2wiki",
        "db1075:test2wiki"
    ]
},
"user_former_groups ufg_user_group index-mismatch-prod-extra": {
    "s3": [
        "db1123:bdwikimedia",
        "db1078:bdwikimedia",
        "db1112:bdwikimedia",
        "db1075:bdwikimedia"
    ]
   },
    "user_properties user_properties_user_property index-mismatch-prod-extra": {
        "s3": [
            "db1123:bdwikimedia",
            "db1078:bdwikimedia",
            "db1112:bdwikimedia",
            "db1075:bdwikimedia"
        ]
    }
}

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptAug 11 2020, 8:57 AM
Restricted Application added a subscriber: Strainu. · View Herald Transcript
Marostegui moved this task from Triage to Next on the DBA board.Aug 11 2020, 1:36 PM
Marostegui triaged this task as Medium priority.Aug 13 2020, 6:15 AM

The final list on non-abstract tables:

1{
2 "archive ar_revid index-mismatch-prod-extra": [
3 "db1123:aawikibooks",
4 "db1078:aawikibooks",
5 "db1075:aawikibooks",
6 "db1112:aawikibooks",
7 "db1123:wawikibooks",
8 "db1078:wawikibooks",
9 "db1075:wawikibooks",
10 "db1112:wawikibooks",
11 "db1123:nostalgiawiki",
12 "db1078:nostalgiawiki",
13 "db1075:nostalgiawiki",
14 "db1112:nostalgiawiki",
15 "db1123:wikimania2005wiki",
16 "db1078:wikimania2005wiki",
17 "db1075:wikimania2005wiki",
18 "db1112:wikimania2005wiki",
19 "db1123:lvwikibooks",
20 "db1078:lvwikibooks",
21 "db1075:lvwikibooks",
22 "db1112:lvwikibooks",
23 "db1123:kswikiquote",
24 "db1078:kswikiquote",
25 "db1075:kswikiquote",
26 "db1112:kswikiquote",
27 "db1123:gotwikibooks",
28 "db1078:gotwikibooks",
29 "db1075:gotwikibooks",
30 "db1112:gotwikibooks"
31 ],
32 "archive ar_revid_uniq index-mismatch-code-extra": [
33 "db1123:aawikibooks",
34 "db1078:aawikibooks",
35 "db1075:aawikibooks",
36 "db1112:aawikibooks",
37 "db1123:wawikibooks",
38 "db1078:wawikibooks",
39 "db1075:wawikibooks",
40 "db1112:wawikibooks",
41 "db1123:nostalgiawiki",
42 "db1078:nostalgiawiki",
43 "db1075:nostalgiawiki",
44 "db1112:nostalgiawiki",
45 "db1123:wikimania2005wiki",
46 "db1078:wikimania2005wiki",
47 "db1075:wikimania2005wiki",
48 "db1112:wikimania2005wiki",
49 "db1123:lvwikibooks",
50 "db1078:lvwikibooks",
51 "db1075:lvwikibooks",
52 "db1112:lvwikibooks",
53 "db1123:kswikiquote",
54 "db1078:kswikiquote",
55 "db1075:kswikiquote",
56 "db1112:kswikiquote",
57 "db1123:gotwikibooks",
58 "db1078:gotwikibooks",
59 "db1075:gotwikibooks",
60 "db1112:gotwikibooks"
61 ],
62 "archive ar_user field-mismatch-prod-extra": [
63 "db1123:ruwikiquote"
64 ],
65 "archive ar_user_text field-mismatch-prod-extra": [
66 "db1123:ruwikiquote"
67 ],
68 "archive usertext_timestamp index-mismatch-prod-extra": [
69 "db1123:ruwikiquote"
70 ],
71 "filearchive fa_deleted_reason field-mismatch-prod-extra": [
72 "db1123:ruwikiquote"
73 ],
74 "filearchive fa_description field-mismatch-prod-extra": [
75 "db1123:ruwikiquote"
76 ],
77 "filearchive fa_user field-mismatch-prod-extra": [
78 "db1123:ruwikiquote"
79 ],
80 "filearchive fa_user_text field-mismatch-prod-extra": [
81 "db1123:ruwikiquote"
82 ],
83 "filearchive fa_user_timestamp index-mismatch-prod-extra": [
84 "db1123:ruwikiquote"
85 ],
86 "image img_description field-mismatch-prod-extra": [
87 "db1123:ruwikiquote"
88 ],
89 "image img_major_mime index-mismatch-prod-extra": [
90 "db1123:warwiki",
91 "db1078:warwiki",
92 "db1075:warwiki",
93 "db1112:warwiki",
94 "db1123:napwiki",
95 "db1078:napwiki",
96 "db1075:napwiki",
97 "db1112:napwiki",
98 "db1123:ilowiki",
99 "db1078:ilowiki",
100 "db1075:ilowiki",
101 "db1112:ilowiki",
102 "db1123:ladwiki",
103 "db1078:ladwiki",
104 "db1075:ladwiki",
105 "db1112:ladwiki"
106 ],
107 "image img_media_mime index-mismatch-code-extra": [
108 "db1123:transitionteamwiki",
109 "db1078:transitionteamwiki",
110 "db1075:transitionteamwiki",
111 "db1112:transitionteamwiki"
112 ],
113 "image img_minor_mime index-mismatch-prod-extra": [
114 "db1123:warwiki",
115 "db1078:warwiki",
116 "db1075:warwiki",
117 "db1112:warwiki",
118 "db1123:napwiki",
119 "db1078:napwiki",
120 "db1075:napwiki",
121 "db1112:napwiki",
122 "db1123:ilowiki",
123 "db1078:ilowiki",
124 "db1075:ilowiki",
125 "db1112:ilowiki",
126 "db1123:ladwiki",
127 "db1078:ladwiki",
128 "db1075:ladwiki",
129 "db1112:ladwiki"
130 ],
131 "image img_user field-mismatch-prod-extra": [
132 "db1123:ruwikiquote"
133 ],
134 "image img_user_text field-mismatch-prod-extra": [
135 "db1123:ruwikiquote"
136 ],
137 "image img_user_timestamp index-mismatch-prod-extra": [
138 "db1123:ruwikiquote"
139 ],
140 "image img_usertext_timestamp index-mismatch-prod-extra": [
141 "db1123:ruwikiquote"
142 ],
143 "ipblocks ipb_address index-mismatch-prod-extra": [
144 "db1123:etwikimedia",
145 "db1078:etwikimedia",
146 "db1075:etwikimedia",
147 "db1112:etwikimedia"
148 ],
149 "ipblocks ipb_address_unique index-columns-mismatch": [
150 "db1123:awawiki",
151 "db1078:awawiki",
152 "db1075:awawiki",
153 "db1112:awawiki",
154 "db1123:gomwiktionary",
155 "db1078:gomwiktionary",
156 "db1075:gomwiktionary",
157 "db1112:gomwiktionary"
158 ],
159 "ipblocks ipb_by field-mismatch-prod-extra": [
160 "db1123:ruwikiquote"
161 ],
162 "ipblocks ipb_by_text field-mismatch-prod-extra": [
163 "db1123:ruwikiquote"
164 ],
165 "ipblocks ipb_parent_block_id_2 index-mismatch-prod-extra": [
166 "db1123:votewiki",
167 "db1078:votewiki",
168 "db1075:votewiki",
169 "db1112:votewiki",
170 "db1123:rowikivoyage",
171 "db1078:rowikivoyage",
172 "db1075:rowikivoyage",
173 "db1112:rowikivoyage",
174 "db1123:ptwikivoyage",
175 "db1078:ptwikivoyage",
176 "db1075:ptwikivoyage",
177 "db1112:ptwikivoyage",
178 "db1123:vecwiktionary",
179 "db1078:vecwiktionary",
180 "db1075:vecwiktionary",
181 "db1112:vecwiktionary",
182 "db1123:test2wiki",
183 "db1078:test2wiki",
184 "db1075:test2wiki",
185 "db1112:test2wiki",
186 "db1123:testwikidatawiki",
187 "db1078:testwikidatawiki",
188 "db1075:testwikidatawiki",
189 "db1112:testwikidatawiki",
190 "db1123:nlwikivoyage",
191 "db1078:nlwikivoyage",
192 "db1075:nlwikivoyage",
193 "db1112:nlwikivoyage",
194 "db1123:wikimania2014wiki",
195 "db1078:wikimania2014wiki",
196 "db1075:wikimania2014wiki",
197 "db1112:wikimania2014wiki",
198 "db1123:mediawikiwiki",
199 "db1078:mediawikiwiki",
200 "db1075:mediawikiwiki",
201 "db1112:mediawikiwiki",
202 "db1123:ruwikivoyage",
203 "db1078:ruwikivoyage",
204 "db1075:ruwikivoyage",
205 "db1112:ruwikivoyage",
206 "db1123:ukwikivoyage",
207 "db1078:ukwikivoyage",
208 "db1075:ukwikivoyage",
209 "db1112:ukwikivoyage",
210 "db1123:elwikivoyage",
211 "db1078:elwikivoyage",
212 "db1075:elwikivoyage",
213 "db1112:elwikivoyage",
214 "db1123:kowikiversity",
215 "db1078:kowikiversity",
216 "db1075:kowikiversity",
217 "db1112:kowikiversity",
218 "db1123:transitionteamwiki",
219 "db1078:transitionteamwiki",
220 "db1075:transitionteamwiki",
221 "db1112:transitionteamwiki",
222 "db1123:sawikiquote",
223 "db1078:sawikiquote",
224 "db1075:sawikiquote",
225 "db1112:sawikiquote",
226 "db1123:testwiki",
227 "db1078:testwiki",
228 "db1075:testwiki",
229 "db1112:testwiki",
230 "db1123:frwikivoyage",
231 "db1078:frwikivoyage",
232 "db1075:frwikivoyage",
233 "db1112:frwikivoyage",
234 "db1123:tyvwiki",
235 "db1078:tyvwiki",
236 "db1075:tyvwiki",
237 "db1112:tyvwiki",
238 "db1123:loginwiki",
239 "db1078:loginwiki",
240 "db1075:loginwiki",
241 "db1112:loginwiki",
242 "db1123:ombudsmenwiki",
243 "db1078:ombudsmenwiki",
244 "db1075:ombudsmenwiki",
245 "db1112:ombudsmenwiki",
246 "db1123:minwiki",
247 "db1078:minwiki",
248 "db1075:minwiki",
249 "db1112:minwiki",
250 "db1123:hewikivoyage",
251 "db1078:hewikivoyage",
252 "db1075:hewikivoyage",
253 "db1112:hewikivoyage",
254 "db1123:eswikivoyage",
255 "db1078:eswikivoyage",
256 "db1075:eswikivoyage",
257 "db1112:eswikivoyage",
258 "db1123:viwikivoyage",
259 "db1078:viwikivoyage",
260 "db1075:viwikivoyage",
261 "db1112:viwikivoyage",
262 "db1123:dewikivoyage",
263 "db1078:dewikivoyage",
264 "db1075:dewikivoyage",
265 "db1112:dewikivoyage",
266 "db1123:fdcwiki",
267 "db1078:fdcwiki",
268 "db1075:fdcwiki",
269 "db1112:fdcwiki",
270 "db1123:iegcomwiki",
271 "db1078:iegcomwiki",
272 "db1075:iegcomwiki",
273 "db1112:iegcomwiki",
274 "db1123:plwikivoyage",
275 "db1078:plwikivoyage",
276 "db1075:plwikivoyage",
277 "db1112:plwikivoyage",
278 "db1123:itwikivoyage",
279 "db1078:itwikivoyage",
280 "db1075:itwikivoyage",
281 "db1112:itwikivoyage",
282 "db1123:aswikisource",
283 "db1078:aswikisource",
284 "db1075:aswikisource",
285 "db1112:aswikisource",
286 "db1123:svwikivoyage",
287 "db1078:svwikivoyage",
288 "db1075:svwikivoyage",
289 "db1112:svwikivoyage"
290 ],
291 "ipblocks ipb_reason field-mismatch-prod-extra": [
292 "db1123:ruwikiquote"
293 ],
294 "job job_cmd index-columns-mismatch": [
295 "db1123:dewikivoyage",
296 "db1078:dewikivoyage",
297 "db1075:dewikivoyage",
298 "db1112:dewikivoyage",
299 "db1123:itwikivoyage",
300 "db1078:itwikivoyage",
301 "db1075:itwikivoyage",
302 "db1112:itwikivoyage"
303 ],
304 "logging log_comment field-mismatch-prod-extra": [
305 "db1123:ruwikiquote"
306 ],
307 "logging log_user field-mismatch-prod-extra": [
308 "db1123:ruwikiquote"
309 ],
310 "logging log_user_text field-mismatch-prod-extra": [
311 "db1123:ruwikiquote"
312 ],
313 "logging log_user_text_time index-mismatch-prod-extra": [
314 "db1123:ruwikiquote"
315 ],
316 "logging log_user_text_type_time index-mismatch-prod-extra": [
317 "db1123:ruwikiquote"
318 ],
319 "logging log_user_type_time index-mismatch-prod-extra": [
320 "db1123:ruwikiquote"
321 ],
322 "logging type_action index-mismatch-prod-extra": [
323 "db1123:inhwiki",
324 "db1078:inhwiki",
325 "db1075:inhwiki",
326 "db1112:inhwiki",
327 "db1123:votewiki",
328 "db1078:votewiki",
329 "db1075:votewiki",
330 "db1112:votewiki",
331 "db1123:rowikivoyage",
332 "db1078:rowikivoyage",
333 "db1075:rowikivoyage",
334 "db1112:rowikivoyage",
335 "db1123:arbcom_cswiki",
336 "db1078:arbcom_cswiki",
337 "db1075:arbcom_cswiki",
338 "db1112:arbcom_cswiki",
339 "db1123:azbwiki",
340 "db1078:azbwiki",
341 "db1075:azbwiki",
342 "db1112:azbwiki",
343 "db1123:electcomwiki",
344 "db1078:electcomwiki",
345 "db1075:electcomwiki",
346 "db1112:electcomwiki",
347 "db1123:ptwikivoyage",
348 "db1078:ptwikivoyage",
349 "db1075:ptwikivoyage",
350 "db1112:ptwikivoyage",
351 "db1123:projectcomwiki",
352 "db1078:projectcomwiki",
353 "db1075:projectcomwiki",
354 "db1112:projectcomwiki",
355 "db1123:hiwikimedia",
356 "db1078:hiwikimedia",
357 "db1075:hiwikimedia",
358 "db1112:hiwikimedia",
359 "db1123:vecwiktionary",
360 "db1078:vecwiktionary",
361 "db1075:vecwiktionary",
362 "db1112:vecwiktionary",
363 "db1123:testwikidatawiki",
364 "db1078:testwikidatawiki",
365 "db1075:testwikidatawiki",
366 "db1112:testwikidatawiki",
367 "db1123:hiwikivoyage",
368 "db1078:hiwikivoyage",
369 "db1075:hiwikivoyage",
370 "db1112:hiwikivoyage",
371 "db1123:nlwikivoyage",
372 "db1078:nlwikivoyage",
373 "db1075:nlwikivoyage",
374 "db1112:nlwikivoyage",
375 "db1123:legalteamwiki",
376 "db1078:legalteamwiki",
377 "db1075:legalteamwiki",
378 "db1112:legalteamwiki",
379 "db1123:jamwiki",
380 "db1078:jamwiki",
381 "db1075:jamwiki",
382 "db1112:jamwiki",
383 "db1123:wikimania2014wiki",
384 "db1078:wikimania2014wiki",
385 "db1075:wikimania2014wiki",
386 "db1112:wikimania2014wiki",
387 "db1123:sahwikiquote",
388 "db1078:sahwikiquote",
389 "db1075:sahwikiquote",
390 "db1112:sahwikiquote",
391 "db1123:guwikisource",
392 "db1078:guwikisource",
393 "db1075:guwikisource",
394 "db1112:guwikisource",
395 "db1123:slwikiversity",
396 "db1078:slwikiversity",
397 "db1075:slwikiversity",
398 "db1112:slwikiversity",
399 "db1123:maiwiki",
400 "db1078:maiwiki",
401 "db1075:maiwiki",
402 "db1112:maiwiki",
403 "db1123:olowiki",
404 "db1078:olowiki",
405 "db1075:olowiki",
406 "db1112:olowiki",
407 "db1123:ptwikimedia",
408 "db1078:ptwikimedia",
409 "db1075:ptwikimedia",
410 "db1112:ptwikimedia",
411 "db1123:techconductwiki",
412 "db1078:techconductwiki",
413 "db1075:techconductwiki",
414 "db1112:techconductwiki",
415 "db1123:pawikisource",
416 "db1078:pawikisource",
417 "db1075:pawikisource",
418 "db1112:pawikisource",
419 "db1123:ecwikimedia",
420 "db1078:ecwikimedia",
421 "db1075:ecwikimedia",
422 "db1112:ecwikimedia",
423 "db1123:maiwikimedia",
424 "db1078:maiwikimedia",
425 "db1075:maiwikimedia",
426 "db1112:maiwikimedia",
427 "db1123:pswikivoyage",
428 "db1078:pswikivoyage",
429 "db1075:pswikivoyage",
430 "db1112:pswikivoyage",
431 "db1123:gorwiki",
432 "db1078:gorwiki",
433 "db1075:gorwiki",
434 "db1112:gorwiki",
435 "db1123:ruwikivoyage",
436 "db1078:ruwikivoyage",
437 "db1075:ruwikivoyage",
438 "db1112:ruwikivoyage",
439 "db1123:ukwikivoyage",
440 "db1078:ukwikivoyage",
441 "db1075:ukwikivoyage",
442 "db1112:ukwikivoyage",
443 "db1123:wikimania2016wiki",
444 "db1078:wikimania2016wiki",
445 "db1075:wikimania2016wiki",
446 "db1112:wikimania2016wiki",
447 "db1123:elwikivoyage",
448 "db1078:elwikivoyage",
449 "db1075:elwikivoyage",
450 "db1112:elwikivoyage",
451 "db1123:romdwikimedia",
452 "db1078:romdwikimedia",
453 "db1075:romdwikimedia",
454 "db1112:romdwikimedia",
455 "db1123:tcywiki",
456 "db1078:tcywiki",
457 "db1075:tcywiki",
458 "db1112:tcywiki",
459 "db1123:euwikisource",
460 "db1078:euwikisource",
461 "db1075:euwikisource",
462 "db1112:euwikisource",
463 "db1123:kowikiversity",
464 "db1078:kowikiversity",
465 "db1075:kowikiversity",
466 "db1112:kowikiversity",
467 "db1123:wikimania2015wiki",
468 "db1078:wikimania2015wiki",
469 "db1075:wikimania2015wiki",
470 "db1112:wikimania2015wiki",
471 "db1123:transitionteamwiki",
472 "db1078:transitionteamwiki",
473 "db1075:transitionteamwiki",
474 "db1112:transitionteamwiki",
475 "db1123:advisorswiki",
476 "db1078:advisorswiki",
477 "db1075:advisorswiki",
478 "db1112:advisorswiki",
479 "db1123:sawikiquote",
480 "db1078:sawikiquote",
481 "db1075:sawikiquote",
482 "db1112:sawikiquote",
483 "db1123:zhwikivoyage",
484 "db1078:zhwikivoyage",
485 "db1075:zhwikivoyage",
486 "db1112:zhwikivoyage",
487 "db1123:hifwiktionary",
488 "db1078:hifwiktionary",
489 "db1075:hifwiktionary",
490 "db1112:hifwiktionary",
491 "db1123:frwikivoyage",
492 "db1078:frwikivoyage",
493 "db1075:frwikivoyage",
494 "db1112:frwikivoyage",
495 "db1123:adywiki",
496 "db1078:adywiki",
497 "db1075:adywiki",
498 "db1112:adywiki",
499 "db1123:wikimania2018wiki",
500 "db1078:wikimania2018wiki",
501 "db1075:wikimania2018wiki",
502 "db1112:wikimania2018wiki",
503 "db1123:dinwiki",
504 "db1078:dinwiki",
505 "db1075:dinwiki",
506 "db1112:dinwiki",
507 "db1123:gomwiki",
508 "db1078:gomwiki",
509 "db1075:gomwiki",
510 "db1112:gomwiki",
511 "db1123:tyvwiki",
512 "db1078:tyvwiki",
513 "db1075:tyvwiki",
514 "db1112:tyvwiki",
515 "db1123:loginwiki",
516 "db1078:loginwiki",
517 "db1075:loginwiki",
518 "db1112:loginwiki",
519 "db1123:ombudsmenwiki",
520 "db1078:ombudsmenwiki",
521 "db1075:ombudsmenwiki",
522 "db1112:ombudsmenwiki",
523 "db1123:minwiki",
524 "db1078:minwiki",
525 "db1075:minwiki",
526 "db1112:minwiki",
527 "db1123:wikimania2017wiki",
528 "db1078:wikimania2017wiki",
529 "db1075:wikimania2017wiki",
530 "db1112:wikimania2017wiki",
531 "db1123:hewikivoyage",
532 "db1078:hewikivoyage",
533 "db1075:hewikivoyage",
534 "db1112:hewikivoyage",
535 "db1123:eswikivoyage",
536 "db1078:eswikivoyage",
537 "db1075:eswikivoyage",
538 "db1112:eswikivoyage",
539 "db1123:viwikivoyage",
540 "db1078:viwikivoyage",
541 "db1075:viwikivoyage",
542 "db1112:viwikivoyage",
543 "db1123:fawikivoyage",
544 "db1078:fawikivoyage",
545 "db1075:fawikivoyage",
546 "db1112:fawikivoyage",
547 "db1123:dewikivoyage",
548 "db1078:dewikivoyage",
549 "db1075:dewikivoyage",
550 "db1112:dewikivoyage",
551 "db1123:cnwikimedia",
552 "db1078:cnwikimedia",
553 "db1075:cnwikimedia",
554 "db1112:cnwikimedia",
555 "db1123:pmswikisource",
556 "db1078:pmswikisource",
557 "db1075:pmswikisource",
558 "db1112:pmswikisource",
559 "db1123:fdcwiki",
560 "db1078:fdcwiki",
561 "db1075:fdcwiki",
562 "db1112:fdcwiki",
563 "db1123:iegcomwiki",
564 "db1078:iegcomwiki",
565 "db1075:iegcomwiki",
566 "db1112:iegcomwiki",
567 "db1123:fiwikivoyage",
568 "db1078:fiwikivoyage",
569 "db1075:fiwikivoyage",
570 "db1112:fiwikivoyage",
571 "db1123:lrcwiki",
572 "db1078:lrcwiki",
573 "db1075:lrcwiki",
574 "db1112:lrcwiki",
575 "db1123:lezwiki",
576 "db1078:lezwiki",
577 "db1075:lezwiki",
578 "db1112:lezwiki",
579 "db1123:amwikimedia",
580 "db1078:amwikimedia",
581 "db1075:amwikimedia",
582 "db1112:amwikimedia",
583 "db1123:idwikimedia",
584 "db1078:idwikimedia",
585 "db1075:idwikimedia",
586 "db1112:idwikimedia",
587 "db1123:dtywiki",
588 "db1078:dtywiki",
589 "db1075:dtywiki",
590 "db1112:dtywiki",
591 "db1123:plwikivoyage",
592 "db1078:plwikivoyage",
593 "db1075:plwikivoyage",
594 "db1112:plwikivoyage",
595 "db1123:wikimania2013wiki",
596 "db1078:wikimania2013wiki",
597 "db1075:wikimania2013wiki",
598 "db1112:wikimania2013wiki",
599 "db1123:bnwikivoyage",
600 "db1078:bnwikivoyage",
601 "db1075:bnwikivoyage",
602 "db1112:bnwikivoyage",
603 "db1123:cawikimedia",
604 "db1078:cawikimedia",
605 "db1075:cawikimedia",
606 "db1112:cawikimedia",
607 "db1123:hiwikiversity",
608 "db1078:hiwikiversity",
609 "db1075:hiwikiversity",
610 "db1112:hiwikiversity",
611 "db1123:itwikivoyage",
612 "db1078:itwikivoyage",
613 "db1075:itwikivoyage",
614 "db1112:itwikivoyage",
615 "db1123:aswikisource",
616 "db1078:aswikisource",
617 "db1075:aswikisource",
618 "db1112:aswikisource",
619 "db1123:lfnwiki",
620 "db1078:lfnwiki",
621 "db1075:lfnwiki",
622 "db1112:lfnwiki",
623 "db1123:svwikivoyage",
624 "db1078:svwikivoyage",
625 "db1075:svwikivoyage",
626 "db1112:svwikivoyage",
627 "db1123:kbpwiki",
628 "db1078:kbpwiki",
629 "db1075:kbpwiki",
630 "db1112:kbpwiki",
631 "db1123:bewikisource",
632 "db1078:bewikisource",
633 "db1075:bewikisource",
634 "db1112:bewikisource",
635 "db1123:orwikisource",
636 "db1078:orwikisource",
637 "db1075:orwikisource",
638 "db1112:orwikisource",
639 "db1123:wbwikimedia",
640 "db1078:wbwikimedia",
641 "db1075:wbwikimedia",
642 "db1112:wbwikimedia",
643 "db1123:atjwiki",
644 "db1078:atjwiki",
645 "db1075:atjwiki",
646 "db1112:atjwiki"
647 ],
648 "logging user_time index-mismatch-prod-extra": [
649 "db1123:ruwikiquote"
650 ],
651 "oldimage oi_description field-mismatch-prod-extra": [
652 "db1123:ruwikiquote"
653 ],
654 "oldimage oi_user field-mismatch-prod-extra": [
655 "db1123:ruwikiquote"
656 ],
657 "oldimage oi_user_text field-mismatch-prod-extra": [
658 "db1123:ruwikiquote"
659 ],
660 "oldimage oi_usertext_timestamp index-mismatch-prod-extra": [
661 "db1123:ruwikiquote"
662 ],
663 "page ext_namespace_quality index-mismatch-prod-extra": [
664 "db1123:testwiki",
665 "db1078:testwiki",
666 "db1075:testwiki",
667 "db1112:testwiki"
668 ],
669 "page ext_namespace_reviewed index-mismatch-prod-extra": [
670 "db1123:testwiki",
671 "db1078:testwiki",
672 "db1075:testwiki",
673 "db1112:testwiki"
674 ],
675 "page page_ext_quality field-mismatch-prod-extra": [
676 "db1123:testwiki",
677 "db1078:testwiki",
678 "db1075:testwiki",
679 "db1112:testwiki"
680 ],
681 "page page_ext_reviewed field-mismatch-prod-extra": [
682 "db1123:testwiki",
683 "db1078:testwiki",
684 "db1075:testwiki",
685 "db1112:testwiki"
686 ],
687 "page page_ext_stable field-mismatch-prod-extra": [
688 "db1123:testwiki",
689 "db1078:testwiki",
690 "db1075:testwiki",
691 "db1112:testwiki"
692 ],
693 "page_props pp_propname_page index-mismatch-code-extra": [
694 "db1123:ombudsmenwiki",
695 "db1078:ombudsmenwiki",
696 "db1075:ombudsmenwiki",
697 "db1112:ombudsmenwiki"
698 ],
699 "protected_titles pt_reason field-mismatch-prod-extra": [
700 "db1123:ruwikiquote"
701 ],
702 "querycache_info qci_type index-mismatch-prod-extra": [
703 "db1123:bdwikimedia",
704 "db1078:bdwikimedia",
705 "db1075:bdwikimedia",
706 "db1112:bdwikimedia"
707 ],
708 "recentchanges rc_comment field-mismatch-prod-extra": [
709 "db1123:ruwikiquote"
710 ],
711 "recentchanges rc_name_type_patrolled_timestamp index-mismatch-code-extra": [
712 "db1123:tcywiki",
713 "db1078:tcywiki",
714 "db1075:tcywiki",
715 "db1112:tcywiki"
716 ],
717 "recentchanges rc_ns_usertext index-mismatch-prod-extra": [
718 "db1123:ruwikiquote"
719 ],
720 "recentchanges rc_patrolling index-mismatch-prod-extra": [
721 "db1123:qualitywiki",
722 "db1078:qualitywiki",
723 "db1075:qualitywiki",
724 "db1112:qualitywiki"
725 ],
726 "recentchanges rc_this_oldid index-mismatch-code-extra": [
727 "db1075:mlwikisource"
728 ],
729 "recentchanges rc_user field-mismatch-prod-extra": [
730 "db1123:ruwikiquote"
731 ],
732 "recentchanges rc_user_text field-mismatch-prod-extra": [
733 "db1123:ruwikiquote"
734 ],
735 "recentchanges rc_user_text index-mismatch-prod-extra": [
736 "db1123:ruwikiquote"
737 ],
738 "revision rev_actor_timestamp index-columns-mismatch": [
739 "db1123:gomwiktionary",
740 "db1078:gomwiktionary",
741 "db1075:gomwiktionary",
742 "db1112:gomwiktionary"
743 ],
744 "user user_id index-mismatch-prod-extra": [
745 "db1123:cywikiquote",
746 "db1078:cywikiquote",
747 "db1075:cywikiquote",
748 "db1112:cywikiquote",
749 "db1123:dewikiquote",
750 "db1078:dewikiquote",
751 "db1075:dewikiquote",
752 "db1112:dewikiquote",
753 "db1123:kkwikiquote",
754 "db1078:kkwikiquote",
755 "db1075:kkwikiquote",
756 "db1112:kkwikiquote",
757 "db1123:aawiki",
758 "db1078:aawiki",
759 "db1075:aawiki",
760 "db1112:aawiki",
761 "db1123:cowikibooks",
762 "db1078:cowikibooks",
763 "db1075:cowikibooks",
764 "db1112:cowikibooks",
765 "db1123:kywikiquote",
766 "db1078:kywikiquote",
767 "db1075:kywikiquote",
768 "db1112:kywikiquote",
769 "db1123:sdwiki",
770 "db1078:sdwiki",
771 "db1075:sdwiki",
772 "db1112:sdwiki",
773 "db1123:rowikibooks",
774 "db1078:rowikibooks",
775 "db1075:rowikibooks",
776 "db1112:rowikibooks"
777 ]
778}

And drifts on abstract tables:

{
	"change_tag change_tag_log_tag_nonuniq index-mismatch-prod-extra": {
		"s3": [
			"db1123:advisorswiki",
			"db1078:advisorswiki",
			"db1075:advisorswiki"
		]
	},
	"change_tag change_tag_rc_tag_nonuniq index-mismatch-prod-extra": {
		"s3": [
			"db1123:advisorswiki",
			"db1078:advisorswiki",
			"db1075:advisorswiki"
		]
	},
	"change_tag change_tag_rev_tag_nonuniq index-mismatch-prod-extra": {
		"s3": [
			"db1123:advisorswiki",
			"db1078:advisorswiki",
			"db1075:advisorswiki"
		]
	},
	"change_tag change_tag_tag_id index-mismatch-prod-extra": {
		"s3": [
			"db1123:advisorswiki",
			"db1078:advisorswiki",
			"db1075:advisorswiki"
		]
	},
	"change_tag ct_tag field-mismatch-prod-extra": {
		"s3": [
			"db1123:advisorswiki",
			"db1078:advisorswiki",
			"db1075:advisorswiki"
		]
	},
	"module_deps md_module_skin index-mismatch-prod-extra": {
		"s3": [
			"db1123:bdwikimedia",
			"db1078:bdwikimedia",
			"db1075:bdwikimedia",
			"db1112:bdwikimedia"
		]
	},
	"site_stats ss_row_id index-mismatch-prod-extra": {
		"s3": [
			"db1123:bdwikimedia",
			"db1078:bdwikimedia",
			"db1075:bdwikimedia",
			"db1112:bdwikimedia"
		]
	},
	"updatelog ul_value field-mismatch-codebase-extra": {
		"s3": [
			"db1123:test2wiki",
			"db1078:test2wiki",
			"db1075:test2wiki",
			"db1112:test2wiki"
		]
	},
	"user_former_groups ufg_user_group index-mismatch-prod-extra": {
		"s3": [
			"db1123:bdwikimedia",
			"db1078:bdwikimedia",
			"db1075:bdwikimedia",
			"db1112:bdwikimedia"
		]
	},
	"user_properties user_properties_user_property index-mismatch-prod-extra": {
		"s3": [
			"db1123:bdwikimedia",
			"db1078:bdwikimedia",
			"db1075:bdwikimedia",
			"db1112:bdwikimedia"
		]
	}
}

Thanks Amir for reporting this. This will be "fun" to fix...
At least those are pretty small wikis, so for some of those we might be even able to do it directly on the master with replication enabled.

Marostegui updated the task description. (Show Details)Oct 1 2020, 7:42 AM
Marostegui updated the task description. (Show Details)Oct 1 2020, 7:55 AM
Marostegui updated the task description. (Show Details)Oct 1 2020, 8:01 AM
Restricted Application added subscribers: Huji, Cosine02, Base, revi. · View Herald TranscriptOct 1 2020, 8:01 AM

I think this deserves the Epic task :)

Marostegui updated the task description. (Show Details)Oct 1 2020, 8:25 AM

Note: Be aware that this bug can bite us when dealing with this task using replication: https://jira.mariadb.org/browse/MDEV-8351 (it just bite me ;-) )

Marostegui updated the task description. (Show Details)Oct 1 2020, 8:49 AM

I think this deserves the Epic task :)

It will be EPIC :D

Marostegui updated the task description. (Show Details)Oct 1 2020, 8:57 AM

Note: Some of the drifts that are reported only on a host, they also affect hosts that aren't on MW, like dbstore and backup source hosts, so for each host, I am reviewing the whole section, just in case.

Marostegui updated the task description. (Show Details)Oct 1 2020, 9:17 AM
Marostegui moved this task from Next to In progress on the DBA board.
Marostegui updated the task description. (Show Details)Oct 2 2020, 7:46 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 7:49 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 7:52 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 8:14 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 8:17 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 8:25 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 8:30 AM
Strainu removed a subscriber: Strainu.Oct 2 2020, 8:35 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 8:51 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 8:59 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 9:23 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 9:45 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 10:27 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 10:30 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 10:33 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 10:54 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 11:05 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 11:08 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 11:15 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 11:20 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 11:23 AM
Marostegui updated the task description. (Show Details)Oct 2 2020, 11:31 AM

This one is actually a lack of PK (but at least user_id is the UNIQUE) :-(

	"user user_id index-mismatch-prod-extra": [
		"db1123:cywikiquote",
		"db1078:cywikiquote",
		"db1075:cywikiquote",
		"db1112:cywikiquote",
		"db1123:dewikiquote",
		"db1078:dewikiquote",
		"db1075:dewikiquote",
		"db1112:dewikiquote",
		"db1123:kkwikiquote",
		"db1078:kkwikiquote",
		"db1075:kkwikiquote",
		"db1112:kkwikiquote",
		"db1123:aawiki",
		"db1078:aawiki",
		"db1075:aawiki",
		"db1112:aawiki",
		"db1123:cowikibooks",
		"db1078:cowikibooks",
		"db1075:cowikibooks",
		"db1112:cowikibooks",
		"db1123:kywikiquote",
		"db1078:kywikiquote",
		"db1075:kywikiquote",
		"db1112:kywikiquote",
		"db1123:sdwiki",
		"db1078:sdwiki",
		"db1075:sdwiki",
		"db1112:sdwiki",
		"db1123:rowikibooks",
		"db1078:rowikibooks",
		"db1075:rowikibooks",
		"db1112:rowikibooks"
	]
}
Marostegui updated the task description. (Show Details)Oct 2 2020, 11:44 AM
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)Oct 2 2020, 12:08 PM
Marostegui updated the task description. (Show Details)Oct 2 2020, 12:32 PM
Marostegui updated the task description. (Show Details)Oct 2 2020, 1:17 PM
Marostegui updated the task description. (Show Details)Oct 2 2020, 2:11 PM
Marostegui updated the task description. (Show Details)Oct 5 2020, 6:17 AM
Marostegui updated the task description. (Show Details)Oct 5 2020, 6:22 AM
Marostegui updated the task description. (Show Details)Oct 5 2020, 6:32 AM

@Ladsgroup I believe this is all done, but I would love if you can re-run the script again for s3, as there were so many different wikis and drifts that I could have easily missed some.

@Ladsgroup I believe this is all done, but I would love if you can re-run the script again for s3, as there were so many different wikis and drifts that I could have easily missed some.

Sure, but that might take some days. I hope that's fine.

@Ladsgroup I believe this is all done, but I would love if you can re-run the script again for s3, as there were so many different wikis and drifts that I could have easily missed some.

Sure, but that might take some days. I hope that's fine.

Absolutely! Thank you

Non-abstract ones (half of the tables) are clean. Running on abstract tables now.

Non-abstract ones (half of the tables) are clean. Running on abstract tables now.

\o/

For abstract tables:

{
    "change_tag change_tag_log_tag_nonuniq index-mismatch-prod-extra": {
        "s3": [
            "db1123:advisorswiki",
            "db1078:advisorswiki",
            "db1075:advisorswiki"
        ]
    },
    "change_tag change_tag_rc_tag_nonuniq index-mismatch-prod-extra": {
        "s3": [
            "db1123:advisorswiki",
            "db1078:advisorswiki",
            "db1075:advisorswiki"
        ]
    },
    "change_tag change_tag_rev_tag_nonuniq index-mismatch-prod-extra": {
        "s3": [
            "db1123:advisorswiki",
            "db1078:advisorswiki",
            "db1075:advisorswiki"
        ]
    },
    "change_tag change_tag_tag_id index-mismatch-prod-extra": {
        "s3": [
            "db1123:advisorswiki",
            "db1078:advisorswiki",
            "db1075:advisorswiki"
        ]
    },
    "change_tag ct_tag field-mismatch-prod-extra": {
        "s3": [
            "db1123:advisorswiki",
            "db1078:advisorswiki",
            "db1075:advisorswiki"
        ]
    },
    "module_deps md_module_skin index-mismatch-prod-extra": {
        "s3": [
            "db1123:bdwikimedia",
            "db1078:bdwikimedia",
            "db1112:bdwikimedia",
            "db1075:bdwikimedia"
        ]
    },
    "site_stats ss_row_id index-mismatch-prod-extra": {
        "s3": [
            "db1123:bdwikimedia",
            "db1078:bdwikimedia",
            "db1112:bdwikimedia",
            "db1075:bdwikimedia"
        ]
    },
    "updatelog ul_value field-mismatch-codebase-extra": {
        "s3": [
            "db1123:test2wiki",
            "db1078:test2wiki",
            "db1112:test2wiki",
            "db1075:test2wiki"
        ]
    },
    "user_former_groups ufg_user_group index-mismatch-prod-extra": {
        "s3": [
            "db1123:bdwikimedia",
            "db1078:bdwikimedia",
            "db1112:bdwikimedia",
            "db1075:bdwikimedia"
        ]
    },
    "user_properties user_properties_user_property index-mismatch-prod-extra": {
        "s3": [
            "db1123:bdwikimedia",
            "db1078:bdwikimedia",
            "db1112:bdwikimedia",
            "db1075:bdwikimedia"
        ]
    }
}

HTH

Marostegui updated the task description. (Show Details)Oct 7 2020, 11:29 AM
Marostegui updated the task description. (Show Details)Oct 7 2020, 11:33 AM
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)Oct 7 2020, 11:39 AM
Marostegui updated the task description. (Show Details)Oct 7 2020, 11:58 AM
Marostegui updated the task description. (Show Details)Oct 7 2020, 12:02 PM
Marostegui updated the task description. (Show Details)Oct 7 2020, 12:58 PM
Marostegui updated the task description. (Show Details)Oct 7 2020, 1:01 PM
Marostegui updated the task description. (Show Details)Oct 7 2020, 1:11 PM
Marostegui updated the task description. (Show Details)Oct 7 2020, 2:00 PM
Marostegui closed this task as Resolved.Oct 8 2020, 6:57 AM

This is all done!

Wohoooo. Thanks!

Macro therockapplauds:

This comment was removed by LSobanski.
Dzahn awarded a token.Oct 13 2020, 9:25 PM
Tgr awarded a token.Oct 14 2020, 5:48 AM